Page MenuHomePhabricator

Upgrade memcached to version 1.6.x
Open, MediumPublic

Description

We already have v1.6.6 packaged for Buster so we can consider upgrading to to this version, with caution.

https://github.com/memcached/memcached/wiki/ReleaseNotes160

Note: " If you have critical infrastructure on memcached, please roll this out slowly if possible."

  • Install memcached 1.6.6 to 1 server in codfw and run tests using mwdebug2002
  • Install memcached 1.6.6 to 1 server in eqiad and monitor
  • Rollout to codfw
  • Rollout to eqiad, one server at a time
  • Rollout to gutter pool codfw
  • Rollout to gutter pool eqiad
  • Rollout to mediawiki clusters (onhost)

Event Timeline

Restricted Application added a subscriber: Aklapper. ยท View Herald TranscriptDec 16 2020, 5:15 PM
Volans triaged this task as Medium priority.Dec 21 2020, 9:58 AM

Change 663868 had a related patch set uploaded (by Effie Mouzeli; owner: Effie Mouzeli):
[operations/puppet@production] memcached::instance: Add support for memcached 1.6.x

https://gerrit.wikimedia.org/r/663868

Change 664271 had a related patch set uploaded (by Effie Mouzeli; owner: Effie Mouzeli):
[operations/puppet@production] hiera: install memcached 1.6 on mc1037

https://gerrit.wikimedia.org/r/664271

Change 663868 merged by Effie Mouzeli:
[operations/puppet@production] memcached::instance: Add support for memcached 1.6.x

https://gerrit.wikimedia.org/r/663868

Change 664271 merged by Effie Mouzeli:
[operations/puppet@production] hiera: install memcached 1.6 on mc2037

https://gerrit.wikimedia.org/r/664271

Mentioned in SAL (#wikimedia-operations) [2021-02-16T11:42:09Z] <effie> upgrade mc2037 to memcached 1.6 - T270315

Change 664778 had a related patch set uploaded (by Effie Mouzeli; owner: Effie Mouzeli):
[operations/puppet@production] hiera: install memcached 1.6 on mc1036

https://gerrit.wikimedia.org/r/664778

hashar added a subscriber: hashar.

That broke Puppet on deployment-memc08.deployment-prep.eqiad.wmflabs, I don't know why other memcached instances are not affected though. I have filed T275187 about it.

I guess it is all about setting the appropriate default value for profile::memcached::enable_16.

Change 665417 had a related patch set uploaded (by Ahmon Dancy; owner: Ahmon Dancy):
[operations/puppet@production] Supply default value for profile::memcached::enable_16 for cloud

https://gerrit.wikimedia.org/r/665417

Change 665417 merged by Effie Mouzeli:
[operations/puppet@production] Supply default value for profile::memcached::enable_16 for cloud

https://gerrit.wikimedia.org/r/665417

Change 666005 had a related patch set uploaded (by Effie Mouzeli; owner: Effie Mouzeli):
[operations/puppet@production] hiera: install memcached 1.6 on mc1036

https://gerrit.wikimedia.org/r/666005

Change 666005 abandoned by Effie Mouzeli:
[operations/puppet@production] hiera: install memcached 1.6 on mc1036

Reason:
accidental

https://gerrit.wikimedia.org/r/666005

Change 664778 merged by Effie Mouzeli:
[operations/puppet@production] hiera: install memcached 1.6 on mc1036

https://gerrit.wikimedia.org/r/664778

Change 666314 had a related patch set uploaded (by Effie Mouzeli; owner: Effie Mouzeli):
[operations/puppet@production] hieradata: enable the memcached 1.6 component on our memcached cluster

https://gerrit.wikimedia.org/r/666314

Change 666314 merged by Effie Mouzeli:
[operations/puppet@production] hieradata: enable the memcached 1.6 component on our memcached cluster

https://gerrit.wikimedia.org/r/666314

Mentioned in SAL (#wikimedia-operations) [2021-02-23T11:18:32Z] <effie> upgrade memcached on mc1035, mc2035 - T270315

Mentioned in SAL (#wikimedia-operations) [2021-02-23T17:16:21Z] <effie> upgrade memcached on mc1034, mc2034 - T270315

Change 673527 had a related patch set uploaded (by Effie Mouzeli; owner: Effie Mouzeli):
[operations/puppet@production] hieradata: install memcached 1.6 to gutter pool servers

https://gerrit.wikimedia.org/r/673527

Change 673527 merged by Effie Mouzeli:
[operations/puppet@production] hieradata: install memcached 1.6 to gutter pool servers

https://gerrit.wikimedia.org/r/673527

jijiki updated the task description. (Show Details)
jijiki updated the task description. (Show Details)
jijiki updated the task description. (Show Details)

Change 682166 had a related patch set uploaded (by Effie Mouzeli; author: Effie Mouzeli):

[operations/puppet@production] mediawiki::mcrouter_wancache: upgrade onhost memcached to 1.6

https://gerrit.wikimedia.org/r/682166